ru.bitel.bgbilling.modules.bill.common.bean

## Class BillDocument

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument
    - - ru.bitel.bgbilling.modules.bill.common.bean.BillDocument

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class BillDocument
      extends AbstractBillDocument

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BillDocument()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBankAccountId()`
    `java.util.Date` | `getPaymentDate()`
    `int` | `getPaymentId()`
    `int` | `getPaymentUserId()`
    `int` | `getStatus()`
    `int` | `getUnloadStatus()`
    `void` | `setBankAccountId(int accountId)`
    `void` | `setPaymentDate(java.util.Date payDate)`
    `void` | `setPaymentId(int paymentId)`
    `void` | `setPaymentUserId(int payUserId)`
    `void` | `setStatus(int status)`
    `void` | `setUnloadStatus(int unloadStatus)`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument

      `getAddress, getContractComment, getContractId, getContractTitle, getCorrection, getDateCreated, getDocument, getDocumentData, getDocumentSpecId, getDocumentSpecTitle, getMonth, getNumber, getNumberFormatted, getNumberInMonth, getNumberInYear, getNumerationPoolId, getPositionList, getRecipient, getTotal, getUserId, getYear, setAddress, setContractComment, setContractId, setContractTitle, setCorrection, setDateCreated, setDocument, setDocumentData, setDocumentSpecId, setDocumentSpecTitle, setMonth, setNumber, setNumberFormatted, setNumberInMonth, setNumberInYear, setNumerationPoolId, setPositionList, setRecipient, setTotal, setUserId, setYear`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BillDocument

          public BillDocument()

  - ### Method Detail

    - #### getBankAccountId

          public int getBankAccountId()

    - #### setBankAccountId

          public void setBankAccountId(int accountId)

    - #### getPaymentDate

          public java.util.Date getPaymentDate()

    - #### setPaymentDate

          public void setPaymentDate(java.util.Date payDate)

    - #### getPaymentUserId

          public int getPaymentUserId()

    - #### setPaymentUserId

          public void setPaymentUserId(int payUserId)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getUnloadStatus

          public int getUnloadStatus()

    - #### setUnloadStatus

          public void setUnloadStatus(int unloadStatus)

    - #### getPaymentId

          public int getPaymentId()

    - #### setPaymentId

          public void setPaymentId(int paymentId)